.search_main {
    display: flex;
    align-items: center;
}
.search_icon {
    width: 25px;
    height: 25px;
    background-size: 75px;
    background-position-x: 151px;
    background-position-y: -126px;
    background-image: url("/icons.png");
    margin-left: 5px;
    cursor: pointer;
}
.search_modal {
    position: fixed;
    background-color: rgba(0,0,0,.7);
    right: 0;
    top: 0;
    z-index: 111;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    opacity: 0;
    transition: .3s ease-in-out;
    display: flex;

}

.search_modal_box_head {
    background-color: #263238;
    color: white;
    border-radius: 5px 5px 0 0;
    padding: 15px;
    justify-content: center;
    display: flex;
    min-height: 60px;
    align-items: center;
}
.search_modal_box {
    min-width: 500px;
    display: none;
}
.search_modal input{
    outline: none;
    border: 1px solid var(--border);
    padding: 10px;
    border-radius:0 0 5px 5px;
    min-width: 100%;
}

.open_search {
    opacity: 1;
    height: 100%;
    width: 100%;
}
.open_search_box {
    display: unset;
}
.search_main_results {
    background-color: white;
    width: 500px;
    margin-top: 5px;
    padding: 10px;
    border-radius: 5px;
    max-height: 500px;
    overflow-y: auto;
    align-items: center;
    overflow-x: hidden;
}

.search_img {
    width: 75px;
    height: 75px;
    margin-left: 10px;
    overflow: hidden;
}
.search_img img {
     width: 100%;
}
.search_main_results::-webkit-scrollbar,.search_category::-webkit-scrollbar {
    width: 4px;
}
/* Track */
.search_main_results::-webkit-scrollbar-track , .search_category::-webkit-scrollbar-track{
    box-shadow: inset 0 0 5px gray;
    border-radius: 10px;
}
/* Handle */
.search_main_results::-webkit-scrollbar-thumb , .search_category::-webkit-scrollbar-thumb{
    background: var(--primary);
    border-radius: 10px;
}

.search_main_results_title {
    color: var(--primary);
    font-size: 1rem;
    margin: 10px 0;
}
.search_main_results_box_detail {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}
.search_main_results_box_detail_price {
    margin: 10px 0;
    color: var(--fourth);
}
.search_main_results_list_box {
    position: relative;
}
.search_main_results_list {
    font-size: .9rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    cursor: pointer;
    flex-direction: column;
}

.search_main_results_list .search_img {
    margin-bottom: 10px;
}

.search_main_results_position{
    color: #367741;
    font-weight: bolder;
    margin: 10px 0 15px 0;
    display: flex;
    text-align: center;
    justify-content: space-between;
    padding: 5px 10px;
    background-color: #e1ffec;
    align-items: center;
}
.search_title {
    cursor: pointer;
}
.search_main_results_position span:last-child{
    color: darkred;
    font-size: .7rem;
    cursor: pointer;
    display: flex;
}

.search_main_results_position img{
    width: 8px;
    transform: rotate(-180deg);
    margin-right: 5px;
}

.tag {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 20px;
}
.tag > span{
    border-radius: 20px;
    background-color: var(--primary);
    padding: 5px 10px;
    font-size: .9rem;
    color: white;
    cursor: pointer;
    margin: 5px ;
}
.search_category {
    width: 100%;
    overflow-x: auto;
}
.search_category_section {
    min-width: 98%;
    display: flex;
    flex-wrap: nowrap;


}
.search_category_section_item {
    padding: 3px;
    border-radius: 5px;
    border: 1px solid var(--primary);
    cursor: pointer;
    min-width: 100px;
    text-align: center;
    margin: 10px 0 10px 10px;
    font-weight: bolder;
}

.search_category_section_item:hover {
    background: var(--primary);
    color: white;
}
.more_btn_search_item {
    text-align: center;
    color: #083eef;
    font-size: .7rem;
    width: 100%;
    text-decoration: underline;
    margin-top: -20px;
    position: absolute;
    right: 0;
}

@media all and (max-width: 600px) {
    .search_modal_box {
        max-height: 100%;
        min-width: 250px;
    }
    .search_main {
        position: absolute;
        bottom: 15px;
        left: 20px;
    }
    .search_modal input{
        min-width: 315px;
    }
    .search_main_results {
        width: 315px;
        max-height: 200px;
    }
    .search_main_results_position{
        padding: 5px;
        font-size: .8rem;
    }
}
